# Déploiement

## 1. Database

Packages :

```
sudo apt install mysql-server
```

Configurer le serveur pour une connexion à distance avec les valeurs suivantes :

Nom : cloud_database
Username : cloud_user
Password : cloud_password

## 2. Backend

Packages :

```
sudo apt install apache2
```

Serveur Apache + PHP
Port : 80
Fichiers : src/backend
Répertoire cible : backend/public

Configuration : 
    Copier .env.example dans .env
    Remplacer, dans le fichier .env, DB_SERVER_IP_ADDRESS par l'adresse IP du serveur de base de données

## 3. Frontend

Packages :

```
sudo apt-get install apache2 -y
sudo add-apt-repository ppa:ondrej/php -y
sudo apt-get install php8.2 libapache2-mod-php8.2 -y
sudo apt-get install php8.2-curl php8.2-mbstring php8.2-xml php8.2-mysql -y
sudo nano /etc/apache2/mods-enabled/dir.conf
# <IfModule mod_dir.c>
#    DirectoryIndex index.php index.html index.cgi index.pl index.xhtml index.htm
# </IfModule>
sudo systemctl restart apache2
```

Serveur Apache par défaut
Port : 80
Fichiers : src/frontend

Configuration :
    Copier public-config.json.example dans public-config.json
    Remplacer, dans le fichier public-config.json, BACKEND_IP_ADDRESS par l'adresse IP du serveur backend
